Poll the reindex status to monitor progress of a Typesense reindex operation.
curl -X GET "http://YOUR_BLNK_INSTANCE_URL/search/reindex" \
-H "X-Blnk-Key: YOUR_API_KEY"
{
"status": "in_progress",
"phase": "indexing_transactions",
"total_records": 2145709,
"processed_records": 2145709,
"started_at": "2026-02-12T12:13:10.448612096Z"
}
X-blnk-key: <api-key>.
Replace <api-key> with your secret API key. Ensure the key is kept secure and not exposed in public repositories or client-side code.
See also: Secure your Blnk server
in_progress or completed.indexing_transactions) or done when complete.status is completed.{
"status": "in_progress",
"phase": "indexing_transactions",
"total_records": 2145709,
"processed_records": 2145709,
"started_at": "2026-02-12T12:13:10.448612096Z"
}
curl -X GET "http://YOUR_BLNK_INSTANCE_URL/search/reindex" \
-H "X-Blnk-Key: YOUR_API_KEY"
Was this page helpful?
curl -X GET "http://YOUR_BLNK_INSTANCE_URL/search/reindex" \
-H "X-Blnk-Key: YOUR_API_KEY"
{
"status": "in_progress",
"phase": "indexing_transactions",
"total_records": 2145709,
"processed_records": 2145709,
"started_at": "2026-02-12T12:13:10.448612096Z"
}